[package]
name = "trust-systems"
version = "1.26.0"
edition = "2021"

[lib]
name = "trust_systems"
path = "src/lib.rs"

[dependencies]
clap = { version = "4", features = ["derive"] }
c2pa = { version = "0.76", features = ["file_io"] }
anyhow = "1"
dirs = "5"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
tokio = { version = "1", features = ["full"] }
rustls-pemfile = "2.2.0"
sha2 = "0.10"
hex = "0.4"
cid = "0.11"
multihash = "0.19"
multihash-codetable = { version = "0.1", features = ["sha2"] }
multibase = "0.9"
ipld-dagpb = "0.2"
ipld-core = "0.4"
bytes = "1"
flate2 = "1"
crc32fast = "1"

[dev-dependencies]
assert_cmd = "2"
predicates = "3"
